﻿@model MIMS.Portal.ViewModels.RecoveryPasswordViewModel

@using Microsoft.Extensions.Configuration

@inject IConfiguration _config;

@{
    ViewBag.PageTitle = "بازنشانی گذرواژه";
    ViewBag.Description = "";
    Layout = "/Views/Shared/Layouts/_BlankLayout.cshtml";

}



@section styles{


}


<section class="flexbox-container">
    <div class="col-md-4 offset-md-4 col-xs-10 offset-xs-1  box-shadow-2 p-0">
        <div class="card border-grey border-lighten-3 m-0">
            <div class="card-header no-border">
                <div class="card-title text-xs-center">
                    <h2 class="blue-grey">
                        پرداخت الکترونیک فجر
                    </h2>
                    <div class="p-1" hidden>
                        <img src="../../app-assets2/images/logo/brand-logo-dark.png" alt="branding logo" hidden>
                    </div>
                </div>
                <h6 class="card-subtitle line-on-side text-muted text-xs-center font-small-3 pt-2"><span>@ViewBag.PageTitle</span></h6>
            </div>
            <div data-title="Welcome!" data-intro="Hello World! 👋" class="card-body collapse in">
                <div class="card-block">
                    <form method="post">
                        @if (ViewBag.AuthError != null)
                        {
                            <div class="alert alert-warning no-border text-center mb-2" role="alert">
                                @ViewBag.AuthError
                            </div>
                        }
                        <div class="form">
                            <div class="form-body">
                                <div asp-validation-summary="None" class="list-unstyled"></div>
                                <input asp-for="RecoveryId" hidden />

                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group position-relative has-icon-left mb-1">
                                            <span asp-validation-for="OtpCode" class="text-danger" hidden></span>
                                            <input asp-for="OtpCode" class="form-control" autocomplete="off" />
                                            <div class="form-control-position">
                                                <i class="icon-email2"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group position-relative has-icon-left mb-1">
                                            <span asp-validation-for="NewPassword" class="text-danger" hidden></span>
                                            <input asp-for="NewPassword" class="form-control" autocomplete="off" />
                                            <div class="form-control-position">
                                                <i class="icon-key3"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group position-relative has-icon-left mb-1">
                                            <span asp-validation-for="ConfirmNewPassword" class="text-danger" hidden></span>
                                            <input asp-for="ConfirmNewPassword" class="form-control" autocomplete="off" />
                                            <div class="form-control-position">
                                                <i class="icon-key3"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-primary btn-lg btn-block"><i class="icon-unlock0"></i> بازنشانی</button>
                    </form>
                </div>
            </div>
            <div class="card-footer">
                <div class="">
                    <p class="float-sm-right text-xs-center m-0">
                        <a asp-action="SignIn" class="card-link">ورود <i class="icon-long-arrow-left"></i></a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</section>


@section Scripts {

    <script>
        $("#new-captcha").click(function () {
            let imgUrl = `${location.protocol}//${location.host}/account/get-captcha?${new Date().getTime()}`;
            $(".captcha-img").css("backgroundImage", "url(" + imgUrl + ")");
        });
    </script>
}



